Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 133782 - BPEL validation shows wrong error-message if <partnerLink...> doesn't contain attribute "myRole"
BPEL validation shows wrong error-message if <partnerLink...> doesn't contain...
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL Validation
6.x
All Windows XP
: P3 (vote)
: 6.x
Assigned To: Vladimir Yaroslavskiy
issues@soa
61fixes1-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 17:31 UTC by _ alexpetrov
Modified: 2008-06-04 08:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Test project (133.52 KB, application/octet-stream)
2008-04-23 17:32 UTC, _ alexpetrov
Details
Test project (9.57 KB, application/octet-stream)
2008-04-23 17:34 UTC, _ alexpetrov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ alexpetrov 2008-04-23 17:31:13 UTC
1. Unzip and open the attached project (BpelTest.zip), open BPELTest.bpel
2. Validate BpelTest.bpel

Result:
- the error message appears:
"ERROR: If the portType attribute is included for readability, in a <receive>, <reply>, <invoke>, <onEvent> or
<onMessage> element, the value of the portType attribute must match the portType value implied by the combination of the
specified partnerLink and the role implicitly specified by the activity."

But the real reason of this validation error - <partnerLink...> doesn't contain attribute "myRole".

3. Add myRole="SchufaPortTypeRole" at the end of <partnerLink...>: 
        <partnerLink name="PartnerLink1" xmlns:tns="http://afb.de/Schufa" 
            partnerLinkType="tns:Schufa" 
            partnerRole="SchufaPortTypeRole"
            myRole="SchufaPortTypeRole"/>
4. Validate BpelTest.bpel

Result:
- validation has passed
Comment 1 _ alexpetrov 2008-04-23 17:32:43 UTC
Created attachment 60612 [details]
Test project
Comment 2 _ alexpetrov 2008-04-23 17:34:02 UTC
Created attachment 60613 [details]
Test project
Comment 3 pgebauer 2008-04-25 08:22:06 UTC
The issue hasn't be fixed till 61patch1 nomination cut-off date.
Marked as release61_fixes_candidate2.
Comment 4 Vladimir Yaroslavskiy 2008-04-25 12:43:05 UTC
The description is taken form Static Analysis Requirement, see bpel specification. It is rule SA00005.

I added comment to validation description: "It means that Invoke requires partnerRole, another - myRole."
I hope it helps.

fixed in trunk: bfbc151d4f20
http://hg.netbeans.org/main/rev/bfbc151d4f20
Comment 5 Sergey Lunegov 2008-04-25 13:51:10 UTC
Verified. Returned back to patch1 candidates list
Comment 6 Sergey Lunegov 2008-04-25 13:54:46 UTC
changed status.
Comment 7 pslechta 2008-04-29 13:56:33 UTC
The fix has been ported into the release61_fixes branch.

http://hg.netbeans.org/release61_fixes/rev/5733b28b92bc


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo